package com.ruoyi.project.production.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TFurnanceTemperatureMapper;
import com.ruoyi.project.production.domain.TFurnanceTemperature;
import com.ruoyi.project.production.service.ITFurnanceTemperatureService;

/**
 * 裂解炉炉管测温Service业务层处理
 *
 * @author ssy
 * @date 2024-03-21
 */
@Service
public class TFurnanceTemperatureServiceImpl implements ITFurnanceTemperatureService
{
    @Autowired
    private TFurnanceTemperatureMapper tFurnanceTemperatureMapper;

    @Override
    public TFurnanceTemperature selectTFurnanceTemperatureByDate(TFurnanceTemperature tFurnanceTemperature) {
        return tFurnanceTemperatureMapper.selectTFurnanceTemperatureByDate(tFurnanceTemperature);
    }

    @Override
    public List<TFurnanceTemperature> selectTFurnanceTemperatureByDate2(TFurnanceTemperature tFurnanceTemperature) {
        return tFurnanceTemperatureMapper.selectTFurnanceTemperatureByDate2(tFurnanceTemperature);
    }

    /**
     * 查询裂解炉炉管测温
     *
     * @param id 裂解炉炉管测温ID
     * @return 裂解炉炉管测温
     */
    @Override
    public TFurnanceTemperature selectTFurnanceTemperatureById(Long id)
    {
        return tFurnanceTemperatureMapper.selectTFurnanceTemperatureById(id);
    }

    /**
     * 查询裂解炉炉管测温列表
     *
     * @param tFurnanceTemperature 裂解炉炉管测温
     * @return 裂解炉炉管测温
     */
    @Override
    public List<TFurnanceTemperature> selectTFurnanceTemperatureList(TFurnanceTemperature tFurnanceTemperature)
    {
        return tFurnanceTemperatureMapper.selectTFurnanceTemperatureList(tFurnanceTemperature);
    }

    /**
     * 新增裂解炉炉管测温
     *
     * @param tFurnanceTemperature 裂解炉炉管测温
     * @return 结果
     */
    @Override
    public int insertTFurnanceTemperature(TFurnanceTemperature tFurnanceTemperature)
    {
        tFurnanceTemperature.setCreateTime(DateUtils.getNowDate());
        return tFurnanceTemperatureMapper.insertTFurnanceTemperature(tFurnanceTemperature);
    }

    /**
     * 修改裂解炉炉管测温
     *
     * @param tFurnanceTemperature 裂解炉炉管测温
     * @return 结果
     */
    @Override
    public int updateTFurnanceTemperature(TFurnanceTemperature tFurnanceTemperature)
    {
        tFurnanceTemperature.setUpdateTime(DateUtils.getNowDate());
        return tFurnanceTemperatureMapper.updateTFurnanceTemperature(tFurnanceTemperature);
    }

    /**
     * 批量删除裂解炉炉管测温
     *
     * @param ids 需要删除的裂解炉炉管测温ID
     * @return 结果
     */
    @Override
    public int deleteTFurnanceTemperatureByIds(Long[] ids)
    {
        return tFurnanceTemperatureMapper.deleteTFurnanceTemperatureByIds(ids);
    }

    /**
     * 删除裂解炉炉管测温信息
     *
     * @param id 裂解炉炉管测温ID
     * @return 结果
     */
    @Override
    public int deleteTFurnanceTemperatureById(Long id)
    {
        return tFurnanceTemperatureMapper.deleteTFurnanceTemperatureById(id);
    }
}
